/******************************************************************************/
/******************************************************************************/
/* Trigger: DTULTATU_VALOROSSA                                                                                          */
/* Tabela : VALOROSSA                                                                                                          	      */
/*                                                                                                                                                        */
/* Criao:                                                                                                                                          */
/* 14/12/2004 - Rafael dos Santos Lopes                           			                        */
/*                                                                                                                                                        */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_VALOROSSA
BEFORE INSERT OR UPDATE OR DELETE
ON VALOROSSA FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUVOSS := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.VRPESOOSINI,0) <> NVL(:NEW.VRPESOOSINI,0)) OR
           (NVL(:OLD.VRPESOOSFIN,0) <> NVL(:NEW.VRPESOOSFIN,0)) OR
           (NVL(:OLD.VRALTUOSINI,0) <> NVL(:NEW.VRALTUOSINI,0)) OR
           (NVL(:OLD.VRALTUOSFIN,0) <> NVL(:NEW.VRALTUOSFIN,0))   THEN
         :NEW.DTULTATUVOSS := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('VALOROSSA', '', 'CDREFEBIBL='||:OLD.CDREFEBIBL||';IDSEXOOSSA='||:OLD.IDSEXOOSSA||';IDOSSATURA='||:OLD.IDOSSATURA||';VRALTUOSINI='||:OLD.VRALTUOSINI||';VRALTUOSFIN='||:OLD.VRALTUOSFIN||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE VALOROSSA MODIFY DTULTATUVOSS DEFAULT SYSDATE
/