IF EXISTS (SELECT * FROM sysobjects O, sysusers U
           WHERE
            o.name = 'VALIDA_ENDECLIE_FISC'  and
            type = 'TR'             and
            u.uid = o.uid           and
            u.name = USER)

   DROP TRIGGER VALIDA_ENDECLIE_FISC;
GO

CREATE TRIGGER VALIDA_ENDECLIE_FISC
ON ENDECLIE
FOR INSERT, UPDATE
AS
DECLARE @V_IDUTENDMODFISC  VARCHAR(1);
DECLARE @V_DSENDECLIE      VARCHAR(50);
DECLARE @V_NMBAIRCLIE      VARCHAR(30);
DECLARE @V_NRCEPCLIE       VARCHAR(15);
DECLARE @V_IDTPENDECLIE    VARCHAR(1);
BEGIN
   SET @V_IDUTENDMODFISC = NULL;

   SELECT @V_IDUTENDMODFISC = IDUTENDMODFISC
     FROM PARAMGERAL;

   DECLARE C_CURSOR CURSOR FOR
      SELECT INSERTED.DSENDECLIE,
             INSERTED.NMBAIRCLIE,
             INSERTED.NRCEPCLIE,
             INSERTED.IDTPENDECLIE
        FROM INSERTED,
             DELETED
       WHERE INSERTED.CDCLIENTE    = DELETED.CDCLIENTE
         AND INSERTED.IDTPENDECLIE = DELETED.IDTPENDECLIE
   OPEN C_CURSOR;
   FETCH NEXT FROM C_CURSOR INTO @V_DSENDECLIE,
                                 @V_NMBAIRCLIE,
                                 @V_NRCEPCLIE,
                                 @V_IDTPENDECLIE;
   IF @V_IDUTENDMODFISC = 'S' BEGIN
      IF @V_IDTPENDECLIE = 'P' BEGIN
         IF @V_DSENDECLIE IS NULL BEGIN
            RAISERROR('Campo Endereo deve ser informado.', 16,1);
         END;
         IF @V_NMBAIRCLIE IS NULL BEGIN
            RAISERROR('Campo Bairro deve ser informado.', 16,1);
         END;
         IF @V_NRCEPCLIE IS NULL BEGIN
            RAISERROR('Campo CEP deve ser informado.', 16,1);
         END;
      END;
   END;
   CLOSE      C_CURSOR;
   DEALLOCATE C_CURSOR;
END;
GO

-- VERSAO --
EXEC ATUVEROBJ 'VALIDA_ENDECLIE_FISC','5.50.xxx';
GO